org.eclipse.net4j.util.collection

## Class HistoryUtil

- java.lang.Object
- - org.eclipse.net4j.util.collection.HistoryUtil

-     public final class HistoryUtil
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IHistory<java.lang.String>` | `createHistory()`
    `static IHistory<java.lang.String>` | `createPreferenceHistory(OMPreference<java.lang.String[]> preference)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createHistory

          public static IHistory<java.lang.String> createHistory()

    - #### createPreferenceHistory

          public static IHistory<java.lang.String> createPreferenceHistory(OMPreference<java.lang.String[]> preference)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html